# Identifiers

Some of the the identifiers available in Inforiver Matrix are showcased with examples in the below .pbix file.

{% file src="<https://3062809325-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FEbkCXCUXmtUq5tcnUtZE%2Fuploads%2FSBJmjkkuLEzTJ0YYTeZ3%2FInforiver%20Formula%20-%20Identifiers.pbix?alt=media&token=0e7f5957-6eb4-42e1-a38b-2cc37a285b6b>" %}

<table><thead><tr><th width="239">IDENTIFIER</th><th width="188">USAGE</th><th>DESCRIPTION</th><th data-hidden>EXAMPLE</th><th data-hidden>EXPLANATION</th></tr></thead><tbody><tr><td><a href="identifiers/closedperiod">CLOSEDPERIOD</a></td><td>Calculated measure formula</td><td>Checks if the forecast measures belong to the closed or open period</td><td></td><td></td></tr><tr><td><a href="identifiers/column.date">COLUMN.DATE</a></td><td>Calculated measure formula</td><td>Returns the date in a measure's header/title</td><td></td><td></td></tr><tr><td><a href="identifiers/column.parent">COLUMN.PARENT</a></td><td>Calculated column measure</td><td>Returns the column's immediate parent in a column hierarchy</td><td></td><td></td></tr><tr><td><a href="identifiers/columns">COLUMNS</a></td><td>Calculated measure formula</td><td>Returns a reference to a specific column in the report</td><td>IF(COLUMN == "AC", 5000, 6000)</td><td>On using in the row formula, returns 5000 for AC column and 6000 for other columns</td></tr><tr><td><a href="identifiers/current_period">CURRENT_PERIOD</a></td><td>Calculated measure formula</td><td>Returns a reference to each period in the report</td><td></td><td></td></tr><tr><td><a href="identifiers/descendants">DESCENDANTS</a></td><td>Calculated row formula</td><td>Returns all the children's values (till the leaf level) as an array</td><td></td><td></td></tr><tr><td><a href="identifiers/forecast.closed_end">FORECAST.CLOSED_END</a></td><td>Calculated measure formula</td><td><p></p><p>Returns the end date of closed forecasts</p></td><td></td><td></td></tr><tr><td><a href="identifiers/forecast.closed_start">FORECAST.CLOSED_START</a></td><td>Calculated measure formula</td><td>Returns the start date of closed forecasts</td><td></td><td></td></tr><tr><td><a href="identifiers/forecast.open_end">FORECAST.OPEN_END</a></td><td>Calculated measure formula</td><td>Returns the end date of open forecasts</td><td></td><td></td></tr><tr><td><a href="identifiers/forecast.open_start">FORECAST.OPEN_START</a></td><td>Calculated measure formula</td><td>Returns the start date of open forecasts</td><td></td><td></td></tr><tr><td><a href="identifiers/group-index">GROUP_INDEX</a></td><td>Calculated row/column formula</td><td>Returns the position of a column</td><td>IF(GROUP_INDEX = 1, [Sales],([Sales].RELATIVE(-1) - [Sales].RELATIVE),</td><td>With Months in column, Displays the Sales value when it is the 1st month/column(group_index =1), else returns for all other months, the variance between previous and current month</td></tr><tr><td><a href="identifiers/has">HAS</a></td><td>Calculated column formula</td><td>Checks if the specified value is part of the list</td><td></td><td></td></tr><tr><td><a href="identifiers/has_all">HAS_ALL</a></td><td>Calculated column formula</td><td>Checks if all the specified values are part of the list</td><td></td><td></td></tr><tr><td><a href="identifiers/has_some">HAS_SOME</a></td><td>Calculated column formula</td><td>Checks if one or more of the specified values are part of the list</td><td></td><td></td></tr><tr><td><a href="identifiers/level">LEVEL</a></td><td>Calculated column formula</td><td>Returns the row level in the hierarchy</td><td>IF(LEVEL = 3, 10, 5)</td><td>For each row where the heirarchy level is 3, returns 10; for other hierarchy levels, returns 5</td></tr><tr><td><a href="identifiers/loggedin_email">LOGGEDIN_EMAIL</a></td><td>On change formula</td><td>Returns the email ID of the user making data input updates</td><td></td><td></td></tr><tr><td><a href="identifiers/loggedin_name">LOGGEDIN_NAME</a></td><td>On change formula</td><td>Returns the name of the user making data input updates</td><td></td><td></td></tr><tr><td><a href="identifiers/match">MATCH</a></td><td>Calculated column formula</td><td>Checks whether the specified value is an exact match </td><td></td><td></td></tr><tr><td><a href="identifiers/maxdate">MAXDATE</a></td><td>Calculated measure formula</td><td>Returns the latest date available in a report.</td><td></td><td></td></tr><tr><td><a href="identifiers/members">MEMBERS</a></td><td>Calculated row formula</td><td>Returns all the immediate children's values as an array</td><td></td><td></td></tr><tr><td><a href="identifiers/mindate">MINDATE</a></td><td>Calculated measure formula</td><td>Returns the earliest date available in a report.</td><td></td><td></td></tr><tr><td><a href="identifiers/relative">RELATIVE</a></td><td>Calculated column formula </td><td>Changes the absolute cell/column reference to a relative reference</td><td>IFNA(([Sales].RELATIVE(-1) - [Sales].RELATIVE), [Sales].RELATIVE)</td><td>When Months in the columns, formula returns Sales of Previous month - Current Month Sales except when there is an error, then it returns the Sales of Current Month</td></tr><tr><td><a href="identifiers/relative_column">RELATIVE_COLUMN</a></td><td>Calculated row formula</td><td>Returns the value of the column relative to the current column</td><td></td><td></td></tr><tr><td><a href="identifiers/row.label">ROW.LABEL</a></td><td>Calculated row formula</td><td>Returns field values used to populate rows in the report</td><td></td><td></td></tr><tr><td><a href="identifiers/row.parent">ROW.PARENT</a></td><td>Calculated row formula</td><td>Returns a reference to the parent levels in the hierarchy</td><td>ROW.PARENT.AC + ROW.PARENT.PY</td><td>For each row it adds the value of its parent row's AC column and PY column</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inforiver.com/formula-syntax/identifiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
